std::allocator< void > Class Reference
Utilities » Memory » Allocators

`#include <memory>`

## Public Types

typedef ptrdiff_t | difference_type
using | is_always_equal = true_type
using | propagate_on_container_move_assignment = true_type
typedef size_t | size_type
typedef void | value_type

## Public Member Functions

template<typename _Up >
constexpr | allocator (const allocator< _Up > &) noexcept

## Detailed Description

std::allocator<void> specialization.

Definition at line 75 of file allocator.h.

The documentation for this class was generated from the following file:

- allocator.h